nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   General Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=27)
-   -   nforce network ok, sound cannot install (http://www.nvnews.net/vbulletin/showthread.php?t=69312)

andrethefrog 04-29-06 04:07 AM

nforce network ok, sound cannot install
 
Linux nForce Driver - IA32 Version: 1.0-0310
debian sarge 2.6.16
I already compile the kernel for my 2 systems and all is fine.
One system is GA-K8N51GMF9, I downloaded the above driver
the network driver does compile, install and work without problem, but the sound driver complaint about different version of kernel.
I cannot see why since they come from the same package, any idea?

Regards,

andre

dchard 04-29-06 08:48 AM

Re: nforce network ok, sound cannot install
 
Hi!

The same error on Debian linux with asus A8N-E, latest stable kernel (2.6.16.11) and latest stable 32bit nforce driver:

The nforce network adapter working properly, but the soundcard setup is exits with error, here is a picture about it:

http://prucsi.clan-hq.org/cfos/index_elemei/nv/nv.jpg

And the installer log:

http://prucsi.clan-hq.org/cfos/index...-installer.htm

Please help us!
(the appropirate kernel source installed, and the OSS support is compiled to the kernel).

Thanks!

Dchard

MOD: I tried to compile the module manual , by extracting the source, running make an make install. Ecerything is fine, but when I try to modprobe the "nvsound" module, I got this:

http://prucsi.clan-hq.org/cfos/index...v/modprobe.jpg

According to the error message, I look at the "dmesg" logs:

http://prucsi.clan-hq.org/cfos/index...i/nv/dmesg.jpg

If anybody have an idea, please share it with us.

Thanks a lot!

andrethefrog 04-29-06 11:54 AM

Re: nforce network ok, sound cannot install
 
looking at your first link, I do have the same error.
I did not try to compile it manually.
Tomorrow I'll try to do more testing, I let you know the result
;) worse case, I can always use my old SBlive for the time being.
May be not really clever, but still better than nothing.

Andre

andrethefrog 04-30-06 04:53 AM

Re: nforce network ok, sound cannot install
 
Ok Try this, this should work.
It is not from me, I have found it on the web
do
NFORCE-Linux-x86-1.0-0310-pkg1.run --extract-only
mv nvsound.txt NFORCE-Linux-x86-1.0-0310
cd NFORCE-Linux-x86-1.0-0310
patch -p0<./nvsound.txt
run nforce-installer

Here the link from where I got the info:
http://www.nvnews.net/vbulletin/showthread.php?t=67495

below is the patch

--- nvsound/main/conftest.sh.old 2006-01-17 15:13:03.816795328 +0100
+++ nvsound/main/conftest.sh 2006-01-17 15:14:06.446274200 +0100
@@ -12,9 +12,17 @@
OUTPUT=$3

CFLAGS="-D__KERNEL__ \
+-DKBUILD_BASENAME=\"#conftest$$\" -DKBUILD_MODNAME=\"#conftest$$\"
-nostdinc -isystem $ISYSTEM \
-Werror -Wimplicit-function-declaration"

+touch conftest$$.c
+$CC -Wno-attributes -c conftest$$.c > /dev/null 2>&1
+if [ $? -eq 0 ]; then
+ CFLAGS="$CFLAGS -Wno-attributes"
+fi
+rm -f conftest$$.*
+
if [ "$OUTPUT" != "$SOURCES" ]; then
CFLAGS="$CFLAGS -I$OUTPUT/include2 -I$OUTPUT/include \
-I$HEADERS -I$HEADERS/asm/mach-default"

dchard 05-02-06 04:10 AM

Re: nforce network ok, sound cannot install
 
I try it as soon as possible, but I need to recompile my kernel, will be back in a hour.

Dchard

MOD: Yes! With the patch I can install the audio driver too. (kernel 2.6.16.11 ). And its working. But I can only use the analog outputs, how can I setup the optical output???

andrethefrog 05-04-06 08:02 AM

Re: nforce network ok, sound cannot install
 
http://www.nforcershq.com/forum/next...=asc&&start=10

Scroll down that page, there is some very good stuff.
I cannot try, because I have nothing optical to connect to

Andre


All times are GMT -5. The time now is 12:57 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.